<%@ page contentType="text/html; charset=GBK" %>
<%@ taglib uri="/cms4j" prefix="cms4j" %>

<%@ page import = "cn.com.dekn.cms.util.*" %>


<% 
/***********************************
* TAG参数初始化
***********************************/
//要显示栏目的ID
String CLASS_ID = StrUtil.getNotNullStringValue(request.getParameter("CLASS_ID"),"1001"); 

//过滤属性	use：正在使用的　	stop：停用的
String FILTER = StrUtil.getNotNullStringValue(request.getParameter("FILTER"),"use"); 

//类别：　text:文字  popwin:弹出窗口
String TYPE = StrUtil.getNotNullStringValue(request.getParameter("TYPE"),"text"); 

//显示日期范围　now:当前	elapse:过期
String DATE = StrUtil.getNotNullStringValue(request.getParameter("DATE"),"now"); 

//指定显示哪一篇通告
String ANNOUNCE_ID = StrUtil.getNotNullStringValue(request.getParameter("ANNOUNCE_ID"),""); 


/***********************************
* 显示特性参数初始化
***********************************/
//新闻标题长度
int TITLE_LENGTH = StrUtil.getNotNullIntValue(request.getParameter("TITLE_LENGTH"),24);

//行数
String PAGE_SIZE = StrUtil.getNotNullStringValue(request.getParameter("PAGE_SIZE"),"10"); 

//每行的高度
String ROW_HEIGHT = StrUtil.getNotNullStringValue(request.getParameter("ROW_HEIGHT"),"22");

//“今日最新”图片地址
String IS_NEW_IMG = StrUtil.getNotNullStringValue(request.getParameter("IS_NEW_IMG"),"images/new.gif");

//显示添加日期的格式
String ADD_DATE_FORMAT = StrUtil.getNotNullStringValue(request.getParameter("ADD_DATE_FORMAT"),"MM-dd");

//打开方式　与html中<a>的target属性相同
String TARGET = StrUtil.getNotNullStringValue(request.getParameter("TARGET"),"");

//网站群节点ID
String NODE_ID = StrUtil.getNotNullStringValue(request.getParameter("NODE_ID"),"root");

//网站群节点参数
String CLUSTER_URL_PARAM = "";
if(null != request.getParameter("cluster_node_id")){
	CLUSTER_URL_PARAM = "cluster_node_id=" + request.getParameter("cluster_node_id");
}

/***********************************
* 元素隐显 参数初始化
***********************************/
//是否显示添加日期列
String IS_SHOW_ADD_DATE_COLUMN = StrUtil.getNotNullStringValue(request.getParameter("IS_SHOW_ADD_DATE_COLUMN"),"true").trim().toLowerCase();


/***********************************
* CSS样式 参数初始化
***********************************/
//CSS样式
String CSS = StrUtil.getNotNullStringValue(request.getParameter("CSS"),"page_class_content");


%>

<table width="100%"  border="0" cellpadding="0" cellspacing="0">
	<cms4j:announce class_id="<%=CLASS_ID%>" type="<%=TYPE%>" filter="<%=FILTER%>" date="<%=DATE%>"  id="<%=ANNOUNCE_ID%>" top="<%=PAGE_SIZE%>" node_id="<%=NODE_ID%>">
	  <tr class="<%=CSS%>">
		<td width="8%" height="<%=ROW_HEIGHT%>" align="center" valign="top"><img src="../../images/icon/article/COMMON.gif" width="10" height="18"></td>
		<td width="92%"><a href="ShowAnnounce.jsp?id=<%=announce.getID()%>&<%=CLUSTER_URL_PARAM%>" target="<%=TARGET%>"><%=announce.getTITLE(TITLE_LENGTH," ..")%></a>
		<!--添加日期-->
		<%
			if (IS_SHOW_ADD_DATE_COLUMN.equals("true")){
				out.print(" " + announce.getADD_DATE_FORMATED(ADD_DATE_FORMAT,true,true,IS_NEW_IMG));
			}
		%>
		<!--结束：添加日期-->
		</td>
	  </tr>
	</cms4j:announce>
</table>
